#
# spec file for package elementary-icon-theme
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define _version 4.x
Name:           elementary-icon-theme
Version:        4.3.1
Release:        lp152.5.2
Summary:        A Tango-styled icon theme
License:        GPL-3.0-or-later
Group:          System/GUI/Other
URL:            https://github.com/elementary/icons
Source:         https://github.com/elementary/icons/archive/%{version}.tar.gz#/icons-%{version}.tar.gz
# PATCH-FIX-UPSTREAM elementary-icon-theme-chmod.patch mailaender@opensuse.org -- https://github.com/elementary/icons/pull/130
Patch0:         elementary-icon-theme-chmod.patch
BuildRequires:  cmake
BuildRequires:  fdupes
BuildRequires:  hicolor-icon-theme
BuildArch:      noarch

%description
An original set of vector icons designed specifically for Elementary
OS and its desktop environment, Pantheon.

%prep
%setup -q -n icons-%{version}
%patch0 -p1

%build
%cmake

%install
%cmake_install

# Remove weirdness.
rm %{buildroot}/.VolumeIcon.{png,icns}

%icon_theme_cache_create_ghost elementary
%fdupes %{buildroot}%{_datadir}/icons/

%if 0%{?suse_version} < 1500
%post
%icon_theme_cache_post elementary

# No need for %%icon_theme_cache_postun in %%postun since the theme won't exist anymore.
%endif

%files
%if 0%{?suse_version} >= 1500
%license COPYING
%else
%doc COPYING
%endif
%doc AUTHORS CONTRIBUTORS
%{_datadir}/icons/elementary/
%ghost %{_datadir}/icons/elementary/icon-theme.cache

%changelog
* Wed Apr 18 2018 sor.alexei@meowr.ru
- Fix the package (boo#1082179).
* Fri Oct 27 2017 avvissu@yandex.by
- Update to 4.3.1:
  * fixed alignment for the panel cellular icons (#360)
  * Scale mail archive icon to 48px (#353)
  * Add printer test page mime (#359)
* Thu Oct 12 2017 jengelh@inai.de
- Ensure neutrality of description.
* Thu Oct  5 2017 avvissu@yandex.by
- Update to 4.3.0:
  * Add 24px emblems (#352)
  * Redo prefs desktop a11y with new palette (#350)
  * 24 process stop symbolic (#343)
  * Redo dialog-error with new palette (#345)
  * Add network-cellular to devices (#347)
  * Update blue circle icons (#348)
  * Fix incorrectly sized 48px process-stop (#349)
  * Redo color process-stop icons (#344)
  * Add secure cellular icons (#342)
  * Add cellular icons (#341)
  * Move emblem-default to process-completed and symlink back
    (#339)
  * Add fd.o emblem-default (#338)
  * system-os-install to system-os-installer (#337)
  * improved insert icons (#326)
  * put me back in contributors but at #1 ;) (#330)
  * added 48 symbolic battery-caution (#329)
  * updated import export action icons (#312)
  * updated few categories 48 symbolic icon (#306)
  * updated muted blocking to use warning class (#328)
  * Add mail-important status icon (#324)
  * updated symbolic 48 mic and volume icons (#309)
  * updated bluetooth brightness & battery 48 symbolic icon (#308)
  * updated volume (#319)
  * fix radii on some icons (#322)
  * update paste-related icons (#323)
  * Symbolic updates 24 media (#314)
  * updated wired icons (#317)
  * updated wifi icons (#318)
  * updated few devices 48 symbolic icon (#307)
  * updated few symbolic devices apps and categories icons (#310)
* Fri Jul 21 2017 avvissu@yandex.by
- Update to 4.2.0:
  * update symbolic playlist icons (#268)
  * move document-properties to open-menu and symlink back (#257)
  * match symbol from color markup mime and add symlinks (#241)
  * updated Torrent mime (#256)
  * Color play, pause, seek, skip, stop (#255)
  * text-css for all sizes, colors to new palette (#253)
  * Change grey mimes to Silver 700 (#252)
  * added colour palette (#254)
  * move apport to categories/bug and symlink (#232)
  * simplified scanner icon (#251)
  * Create Contributing.md (#250)
  * Create CODE_OF_CONDUCT.md (#249)
  * Add 64px version of keyboard (#248)
  * make audio-x-generic more generic (#242)
  * drop aptdaemon icons (#247)
  * Speaker cleanups (#245)
  * Add symlinks for symbolic help icons (#240)
  * new microphone icons (#243)
  * make 48px system-shutdown consistent with other sizes (#239)
  * make 16px and 48px contact-new match other sizes (#237)
  * Make symbolic address book icons look like color icons (#236)
  * new speaker icons (#233)
  * system-help is in the spec, so add it (#235)
  * Add system-reboot (#234)
  * symlinks for mail-sent (#227)
  * add 24px mail-send (#228)
  * Text copying (#231)
  * make changelog mime flat, symlink patch (#230)
  * Makefile mime (#217)
  * added text-markdown (#224)
- Change the sourceurl to git
* Wed May 17 2017 avvissu@yandex.by
- Update to 4.1.0:
  * name 24px display brightness icon correctly (#219)
  * name 24px display brightness icon correctly
  * and 16px
  * Improve Terminal glyph (#218)
  * 64px and 128px
  * finish up
  * Symlink meson mime to make file mime (#216)
  * Symlink meson mime to make file mime
  * revert unintentional changes
  * Add 24px brightness-display-symbolic (#213)
  * Add 24px brightness-display-symbolic
  * redraw larger
  * Update notification-disabled shape (#212)
  * make notification icons rounder, real big bubble (#206)
  * Match 48px color batteries with symbolic (#211)
  * remove lightning from fully charged state (#209)
  * All slashies now go NW/SE (#208)
  * Symbolic battery: Vertical lightning, 16px (#207)
  * vertical lightning and update 16px battery icons
  * remove sneaky sneaks
  * moved batteries 1px right; updated large symbolic icon (#205)
  * redesign 24px symbolic battery icons (#204)
  * redesign 24px symbolic battery icons
  * delete some icons that snuck in
  * slashies to the right
  * remove random shit
  * Make 48px lock screen icon match 32px (#203)
  * add 24px variants of icons used for privacy indicator (#202)
  * Make the bubble on notification-new-symbolic larger (#201)
  * Add 48px preferences-desktop-display (#200)
  * add symlinks for text-csv (#197)
  * Add 32, 48, 64, 128 insert-link
  * Add 24 32 64 and symbolic drive-removable-media-usb
* Tue Mar 21 2017 avvissu@yandex.by
- Update to version 4.0.3:
  * Make AppCenter icon fill the canvas at 48px (#193)
  * Make AppCenter icon fill the canvas at 48px
  * less gloss on window
  * Update AppCenter icon purple (#192)
  * adjust purple for other sizes
  * New "less generic" software center icon (#83)
  * new software center icon
  * update symbolic icon
  * add symbolic translation icons (#187)
  * add bug icon (#186)
  * add missing network icon (#185)
  * add missing network icon
  * add other missing 24px icons
  * add 32px find-location (#183)
  * Redesign document-open-recent (#182)
  * 32px document-open-recent
  * 16 and 24px versions
  * right angle arrow at 16px
  * add 32px lock screen icon (#173)
  * add 32px lock screen icon
  * switch out metal for slate
  * firewall icon
  * added flame centre
  * add 24px secure network icons (#180)
  * add find-location in 48px (#179)
  * add slashes to things (#176)
  * clean up 24px symbolic mic and resize to 16 (#175)
  * add background to empty symbolic battery icons for more
    presence (#172)
* Fri Jan 20 2017 avvissu@yandex.by
- Update to version 4.0.2:
  * add 16px and 24px installer (#168)
  * adds a pager icon (#166)
  * drop gpm-* and gsm-* icon names (#164)
  * added audio-testing icons (#163)
  * added audio-testing icons
  * adjusted sound wave width
  * fixed front-right
  * update app default icon to use gear shape from mimes (#143)
  * update app default icon to use gear shape from mimes
  * make 64px gear larger
  * redo full-charged (#160)
  * add horizontal symbolic view more (#161)
  * 24 mic symbolic (#157)
  * 24px micrphone icon
  * fit to grid
  * make 128 avatar consistent (#156)
  * add 32px phone (#155)
  * added rtl mimetype icons (#154)
  * added rtl mimetype icons
  * added missing office-document-rtl icons
  * removed script rtl icons
  * added missing link
  * added 64 text-rtl et al
  * added missing -rtl variants (#153)
  * fix border for 32px mouse icon (#149)
  * add a 48px battery charged icon (#150)
  * Network icons (#151)
  * add secure cellular network icons
  * add secured wired network icon
  * update the 128px help-contents icon (#146)
* Fri Dec  2 2016 avvissu@yandex.by
- Update to version 4.0.1.1:
  * Fingerprint (#135)
  * improved process-completed-symbolic (#121)
  * improved fingerprint symbolic (#136)
  * add system-os-install and symlink ubiquity (#138)
  * redesigned edit-copy-symbolic (#141)
  * make the arrow less bulky and gross (#142)
  * update the 128px help-contents icon (#146)
  * Network icons (#151)
  * add a 48px battery charged icon (#150)
  * fix border for 32px mouse icon (#149)
* Sat Sep 10 2016 mailaender@opensuse.org
- Update to version 4.0.1:
  * No changelog available.
- Add elementary-icon-theme-chmod.patch from
  https://github.com/elementary/icons/pull/130
* Thu Aug 20 2015 sor.alexei@meowr.ru
- Update to 3.2.2.
* Sat May 16 2015 mailaender@opensuse.org
- update to 3.2.1
* Tue Dec  3 2013 sor.alexei@meowr.ru
- Update to 3.1.
* Mon May 20 2013 damianatorrpm@gmail.com
- Rebuild.
